﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="WebForm1.aspx.cs" Inherits="_9229.WebForm1" %>

<%@ Register Assembly="ThinkGeo.MapSuite.WebForms" Namespace="ThinkGeo.MapSuite.WebForms" TagPrefix="cc1" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script type="text/javascript">
        var OnMapCreated = function (map) {
            var featurecollection = {
                "type": "FeatureCollection",
                "features": [
                {
                    "geometry": {
                        "type": "GeometryCollection",
                        "geometries": [
                        {
                            "type": "LineString",
                            "coordinates":
                            [[11.0878902207, 45.1602390564],
                            [15.01953125, 48.1298828125]]
                        },
                        {
                            "type": "Polygon",
                            "coordinates":
                            [[[11.0878902207, 45.1602390564],
                            [14.931640625, 40.9228515625],
                            [0.8251953125, 41.0986328125],
                            [7.63671875, 48.96484375],
                            [11.0878902207, 45.1602390564]]]
                        },
                        {
                            "type": "Point",
                            "coordinates": [15.87646484375, 44.1748046875]
                        }
                        ]
                    },
                    "type": "Feature",
                    "properties": {}
                }
                ]
            };
            var geojson_format = new OpenLayers.Format.GeoJSON();
            var vector_layer = new OpenLayers.Layer.Vector();
            map.addLayer(vector_layer);
            var ff = geojson_format.read(featurecollection);
            vector_layer.addFeatures(ff);
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>
        <cc1:Map ID="Map1" runat="server" Height="600px" Width="800px"></cc1:Map>
    </div>
    </form>
</body>
</html>
